## python-sidpy 0.12.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXPROJ    = sidpy
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

# Create a .py (percent format with multiline comments) from an .ipynb in the first place:
# jupytext --update-metadata '{"jupytext": {"cell_markers": "\"\"\""}}' --to py:percent <name-of-notebook>.ipynb

# Convert .py to .ipynb (don't seem to need to --execute? perhaps sphinx-build does it...), then build html:
%: Makefile
	rm -rf build
	rm -rf source/_autosummary
	rm -rf source/notebooks
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-sidpy (0.12.3-3) unstable; urgency=medium

  * Team Upload
  * Fix homepage URL, previous was 404
  * Use new dh-sequence-python3
  * Add upstream patch to avoid generating a dependency on python3-six
  * Set Rules-Requires-Root: no
  * Use v4 for d/watch

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Aug 2024 17:02:24 +0200

python-sidpy (0.12.3-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Roland Mas <lolando@debian.org>  Sat, 11 May 2024 20:07:14 +0200

python-sidpy (0.12.3-1) unstable; urgency=low

  * source package automatically created by stdeb 0.10.0 then tweaked by hand.
  * Disable testsuite until python3-ipywidgets stabilizes.

 -- Roland Mas <lolando@debian.org>  Wed, 01 May 2024 17:29:14 +0200

=== debian/control ===
Source: python-sidpy
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-pytest,
 python3-matplotlib,
 python3-numpy,
 python3-h5py,
 python3-dask,
 python3-distributed,
 python3-ase,
Rules-Requires-Root: no
Standards-Version: 3.9.6
Homepage: https://pycroscopy.github.io/sidpy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sidpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sidpy

Package: python3-sidpy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python utilities for Spectroscopic and Imaging Data (SID)
 Python utilities for storing and visualizing Spectroscopic and Imaging Data (SID)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sidpy
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
# please also check http://pypi.debian.net/sidpy/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sidpy/sidpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
